Issue 80433 - Installing of shared basic extension in office does not work
Summary: Installing of shared basic extension in office does not work
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 680m225
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.0
Assignee: b.osi.ooo
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks: 70147
  Show dependency tree
 
Reported: 2007-08-07 15:37 UTC by joachim.lingner
Modified: 2008-07-14 11:18 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Extension containing Basic library (1.32 KB, application/octet-stream)
2008-06-27 10:04 UTC, ab
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description joachim.lingner 2007-08-07 15:37:17 UTC
... because it writes the dialog.xlc and script.xlc in the user directory. For
other user user the extension is disabled.

Installing the shared extension by unopkg add --shared works.
Comment 1 joachim.lingner 2007-08-08 07:39:28 UTC
.
Comment 2 joachim.lingner 2008-01-09 16:00:53 UTC
Retarget to 3.0
Comment 3 joachim.lingner 2008-05-19 16:07:40 UTC
jl->ab: Please take over. It appears that the service
com.sun.star.script.ApplicationScriptLibraryContainer writes the entries.
Comment 4 ab 2008-05-20 10:21:45 UTC
STARTED
Comment 5 ab 2008-05-30 11:25:43 UTC
Strongly related to i70283
Comment 6 ab 2008-06-25 17:17:32 UTC
FIXED
As Libraries inside extensions are not linked in
the user's Basic config files any more (#i70283),
this problem doesn't occur any more.
Comment 7 ab 2008-06-27 10:04:53 UTC
Created attachment 54780 [details]
Extension containing Basic library
Comment 8 ab 2008-06-27 10:15:38 UTC
ab->tbo: Please verify

Please read the explanation about the new Basic extension handling in
#i70283 first.

To test you should do an administrative installation and modify the
bootstrap.ini (for Windows, otherwise it's done automatically I think)
file to get local user installation. Using this user installation you
can install an extension containing Basic, e.g. the attached one, for
all users (shared). You can also install another extension, e.g. the 
one attached to #i70283, for the user only.

Then close the Office (don't use the quickstarter!) and rename the 
user folder to user1. Then start the Office again. The startup wizard
will appear again because the first user installation has been moved.
Now the Basic library in the shared installed extension still should
be visible whereas the user installed one should be gone as it only
belongs to the moved user folder.

Closing the Office and renaming user to user2 and user1 back to user
should restore the first situation after restarting the Office.
Comment 9 b.osi.ooo 2008-07-03 15:15:24 UTC
verified in CWS ab53 unxlngi: OK
Comment 10 b.osi.ooo 2008-07-14 11:18:14 UTC
integrated into DEV300m24 - closing